library graphlib.alg.test;

import 'package:unittest/unittest.dart';
import 'package:graphlib/graphlib.dart';

part 'all_shortest_paths_test.dart';
part 'components_test.dart';
part 'dijkstra_all_test.dart';
part 'dijkstra_test.dart';
part 'find_cycles_test.dart';
part 'floyd_warshall_test.dart';
part 'is_acylic_test.dart';
part 'postorder_test.dart';
part 'preorder_test.dart';
part 'prim_test.dart';
part 'tarjan_test.dart';
part 'topsort_test.dart';

// A helper that sorts components and their contents
sort(cmpts) {
  cmpts.forEach((cmpt) {
    cmpt.sort((lhs, rhs) { return lhs - rhs; });
  });
  cmpts.sort((lhs, rhs) { return lhs[0] - rhs[0]; });
  return cmpts;
}
