part of graphlib.alg.test;

//var assert = require('chai').assert,
//    Digraph = require('../..').Digraph,
//    Graph = require('../..').Graph,
//    isAcyclic = require('../..').alg.isAcyclic;

isAcylicTest() {
  group('alg.isAcylic', () {
    test('returns `true` if the graph has no cycles', () {
      var g = new Digraph();
      g.addNode('a');
      g.addNode('b');
      g.addNode('c');
      g.addEdge(null, 'b', 'c');
      g.addEdge(null, 'c', 'a');
      expect(isAcyclic(g), isTrue);
    });

    test('returns `false` if the graph has at least one cycle', () {
      var g = new Digraph();
      g.addNode('a');
      g.addNode('b');
      g.addNode('c');
      g.addEdge(null, 'b', 'c');
      g.addEdge(null, 'c', 'a');
      g.addEdge(null, 'a', 'b');
      expect(isAcyclic(g), isFalse);
    });

//    test('throws an Error for undirected graphs', () {
//      expect(() { isAcyclic(new Graph()); }, throws);
//    });
  });
}
